Calculate Loan Schedule

Purpose: Use this API to calculate the loan schedule based on the provided loan parameters. The schedule includes details such as the principal disbursed, the interest charged, and the repayment schedule.

Behavior: A successful response indicates that the loan schedule has been calculated and provides a detailed breakdown of the loan terms, including the periods, amounts due, and any outstanding balances.

Note: This endpoint does not approve or disburse the loan; it merely calculates the schedule based on the provided parameters.

Please refer to the link: Loan for details about Loan.

Query Params
string
Defaults to calculateLoanSchedule

The command to calculate the loan schedule. This should always be set to calculateLoanSchedule.

Body Params

The payload for calculating the loan schedule. It should include all necessary loan parameters.

integer
required
Defaults to 102

Unique identifier of the loan product
Pattern: '^\d+$'
Example: 102

number
required
Defaults to 1000

Principal amount of the loan. This will be also configured at the product level
Pattern: '^[1-9][0-9]*$'
Example: 1000

integer
required
Defaults to 36

Total number of repayments. This will be also configured at the product level.
Pattern: '^[1-9][0-9]*$'
Example: 1

integer

Unique identifier of the client
Pattern: '^\d+$'
Example: 12624

disbursementData
array of objects

Data related to loan disbursements

disbursementData
integer

Frequency of the loan term. This will be also configured at the product level
Pattern: '^[1-9]\d*$'
Example: 1

integer

Type of frequency for the loan term (e.g., days, weeks, months)

integer
Defaults to 1

Frequency of repayments.
Pattern: '^[1-9][0-9]*$'
Example: 1

integer

Type of frequency for repayments (e.g., days, weeks, months).
Possible Values are:
0 - Days
1- Weeks
2- Months
3- Years

number
Defaults to 24

Interest rate per each period
Example: 24

integer

Type of amortization (e.g., equal installments, declining balance)
Following values are allowed
0 - EQUAL_PRINCIPAL
1 - EQUAL_INSTALLMENTS

boolean

Indicates if the amortization is equal
Example: false

integer

Type of interest (e.g., flat, reducing balance)
Following values are possible
0 - Decline Balance
1 - Flat

integer

Period type for interest calculation.
Possible values are
0 - Daily
1 - Same as Repayment Period

boolean

Indicates if partial period interest calculation is allowed
Example: false

number

Tolerance for arrears
Example: 0

integer

ID of the transaction processing strategy. We can retrieve the Id from the template api.
Example: 1 ("Penalties, Fees, Interest, Principal order")

integer
Defaults to 2

Nth day type for repayment frequency.
Following are the possible values.
-ONE(1, "nthDayType.one"),
TWO(2, "nthDayType.two"),
THREE(3, "nthDayType.three"),
FOUR(4, "nthDayType.four"),
FIVE(5, "nthDayType.five"),
LAST(-1, "nthDayType.last"),
ONDAY(-2, "nthDayType.onday"),
INVALID(0, "nthDayType.invalid");

integer
Defaults to 2

Day of the week type for repayment frequency. If repaymentFrequencyNthDayType is not ONDAY , then this parameter needs to be passed.
Following are the possible values:
1-MONDAY
2 -TUESDAY
3-WEDNESDAY
4-THURSDAY
5-FRIDAY
6-SATURDAY
7-SUNDAY
0-INVALID

integer

It is repayment frequancy day of month. It should be passed if repaymentFrequencyNthDayType is ONDAY.
Example : 29

date

Date from which repayments start
Example: "2001-02-01"
Pattern: 'XXX'

date

Expected date of disbursement
Example: 2024-7-31

date

Date the loan application was submitted
Example: 2024-07-31

string

Type of loan.
Following are the values for the loan type.
individual - Loan given to individual member
group - Loan given to group as a whole
jlg - Joint liability group loan given to members in a group on individual basis.
Example: "Individual"

string

Locale for date and number formats
Example: "en"
Pattern: 'XX'

string

Format for dates
Example: "dd MMMM yyyy"
Pattern: 'XXX'

Headers
string
required

The ID of your banking instance visible in the MBANQ Console.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json